Summary:         GNOME binary editor
Name:            ghex
Version:         1.2.1
Release:         2
Group:           Applications/Editors
License:         GPL
Url:             "http://pluton.ijs.si/~jaka/gnome.html#GHEX"
Source:          ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.gz
Buildroot:       %{_tmppath}/%{name}-%{version}-root
BuildRequires:   gnome-libs-devel, ORBit
BuildRequires:   gtk+-devel >= 1.2.0
BuildRequires:   gnome-print-devel >= 0.24

%description
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

%prep

%setup -q

%build
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $MYARCH_FLAGS \
	--prefix=%{_prefix} --bindir=%{_bindir} --datadir=%{_datadir}
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%{_prefix} \
    --bindir=%{_bindir} --datadir=%{_datadir}


if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{_prefix}

make prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} install

%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gnome/apps/Applications/*
%{_datadir}/gnome/help/ghex
%{_datadir}/pixmaps/*
%{_datadir}/omf/ghex

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Wed Sep  5 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- replaced Copyright with License
- find_langified

* Fri Aug 17 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- removed unnecessary %defines
- made setup quiet
- fixed Buildroot

* Wed Feb 21 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- removed hard-coded paths, updated macros.

* Sun Oct 22 2000 John Gotts <jgotts@linuxsavvy.com>
- Minor modifications.

* Sun May 14 2000 John Gotts <jgotts@linuxsavvy.com>
- New SPEC file.
